=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Denable-networkmanager=yes \
	-Denable-systemd=yes
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gnome-shell \
		$(CONFFLAGS)

override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) gnome-shell-pot
	# work around https://launchpad.net/bugs/1756547
	sed -i '/^#, javascript-format/d' po/gnome-shell.pot
	dh_translations

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
	xvfb-run dh_auto_test
