## gnome-shell 3.30.2

=== debian/changelog ===
gnome-shell (3.30.2-11~deb10u2) buster; urgency=medium

  * Team upload

  [ Mike Gabriel ]
  * debian/patches:
    + Add loginDialog-*_CVE-2020-17498.patch. loginDialog: Reset auth prompt on
      vt switch before fade in. (Closes: #968311. CVE-2020-17489).

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2020 11:22:32 +0100

gnome-shell (3.30.2-11~deb10u1) buster; urgency=medium

  * Team upload
  * Recompile for Debian 10
  * d/gbp.conf: Change packaging branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2019 19:50:59 +0100

gnome-shell (3.30.2-11) unstable; urgency=medium

  * Team upload
  * d/gnome-shell.bug-control: Include related packages in bug reports

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2019 17:23:32 +0100

gnome-shell (3.30.2-10) unstable; urgency=medium

  * Team upload
  * Update to upstream gnome-3-30 branch, commit 3.30.2-22-gd41669189
    - d/p/dialog-Really-set-ellipsize-mode-in-subtitle-and-body.patch:
      Fix truncation of long messages in Shell-modal dialogs
      (LP: #1809788)
    - d/p/osk-layouts-Fix-French-layout.patch:
      Update metadata to reflect upstream backport (no functional changes)
    - d/p/boxpointer-Unset-the-sourceActor-on-destruction.patch:
      Avoid crash on reallocation of dead actors (LP: #1831555)

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2019 09:13:11 +0100

gnome-shell (3.30.2-9) unstable; urgency=medium

  * Team upload
  * d/p/ShellApp-Use-g_signal_connect_object-for-window-signals.patch:
    Mark as forwarded and applied upstream
  * d/p/tweener-Save-handlers-on-target-and-remove-them-on-destro.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    Move non-upstreamed patches to appear last in d/p/series
  * Update patch series from gnome-3-30 branch, up to 3.30.2-19-g1f03c94d3
    - d/p/inputMethod-Avoid-calling-set_preedit_text-if-unnecessary.patch,
      d/p/inputMethod-Keep-track-of-preedit-string-visibility.patch:
      Avoid a bad interaction between gnome-shell, GTK, non-English input
      methods, WebKitGTK and Evolution that can cause text to be deleted
      unintentionally when Ctrl or Alt is pressed (Closes: #927719)
    - d/p/messageTray-Re-enable-unredirection-when-banner-is-destro.patch:
      If a notification appears while a game or other graphically intensive
      application is full-screen, correctly re-enable unredirection (for
      its performance benefits) when the notification closes
      (Closes: #927718)
    - d/p/dnd-Only-handle-touch-events-in-wayland.patch:
      Fix a bug seen in X11 mode where extensions that use drag-and-drop,
      such as dash-to-dock, can get the Shell into a state where
      interaction with apps is no longer possible
    - d/p/windowManager-Don-t-animate-touch-touchpad-gesture-in-ove.patch:
      When the four-finger swipe up/down touchpad gesture is used to move
      between workspaces, don't move application windows to the wrong place
    - Update translations: gd, is

 -- Simon McVittie <smcv@debian.org>  Sun, 28 Apr 2019 00:13:04 +0100

gnome-shell (3.30.2-8) unstable; urgency=medium

  * Team upload
  * d/p/st-widget-Add-missing-g_return_val_if_fail.patch:
    Add patch from upstream to add a precondition check on
    st_widget_get_theme_node(). This should mitigate crashes if a StWidget
    remains active after it has been destroyed (which is itself a bug,
    but a less serious one with this change).
    (Closes: #927162, LP: #1796606)
  * d/p/ShellApp-Use-g_signal_connect_object-for-window-signals.patch:
    Make the ShellApp more robust against crashes
    (Closes: #926212, we hope)

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Apr 2019 22:29:02 +0100

gnome-shell (3.30.2-7) unstable; urgency=medium

  * Team upload
  * d/clean: Add trailing slash to debian/home/ so that debhelper will
    be willing to delete a directory, fixing FTBFS when built twice in
    a row

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Apr 2019 09:38:50 +0100

gnome-shell (3.30.2-6) unstable; urgency=medium

  * Team upload
  * d/p/keyboard-Make-items-in-language-menu-unfocusable.patch,
    d/p/popupMenu-Respect-items-can-focus-property.patch:
    Add patches from upstream to fix the on-screen keyboard language's menu
    closing said keyboard (Closes: #926453)
  * d/p/osk-layouts-Fix-French-layout.patch:
    Add patches from upstream to add missing French layouts to
    the on-screen keyboard (Closes: #926452)

 -- intrigeri <intrigeri@debian.org>  Mon, 15 Apr 2019 11:23:31 +0000

gnome-shell (3.30.2-5) unstable; urgency=medium

  * Team upload
  * Really create a suitable temporary XDG_RUNTIME_DIR for the unit tests
  * Clean up debian/home with d/clean, not a dh_clean override

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Apr 2019 15:33:47 +0100

gnome-shell (3.30.2-4) unstable; urgency=medium

  * Team upload
  * d/rules: Create a temporary HOME, XDG_RUNTIME_DIR for the unit tests.
    This hopefully fixes test failures and FTBFS on the s390x buildd.
  * d/.gitignore: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Apr 2019 10:40:33 +0100

gnome-shell (3.30.2-3) unstable; urgency=medium

  * Team upload
  * d/p/ibusManager-Don-t-pass-undefined-callback-to-ibus.patch:
    Mark as applied on upstream gnome-3-30 branch, and reorder earlier
    in the patch series
  * d/p/panel-Don-t-allow-opening-hidden-menus-via-keybindings.patch,
    d/p/shellActionModes-disable-POPUP-keybindings-in-unlock-scre.patch:
    Add patches from upstream to fix partial lock screen bypass
    (CVE-2019-3820, Closes: #921490)
  * Update patch series from gnome-3-30 branch, up to 3.30.2-11-ge23f4d6c7
    - Fix a crash that can happen when locking the screen
    - Fix a critical when an app is closed while its popup menu is open
    - Ignore pointer emulated touch events, fixing unintended double clicks
      in extensions like dash-to-dock
    - Don't close ibus popup window when an entry field changes its input
      purpose

