=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
@@ -16,19 +18,18 @@
                gir1.2-rsvg-2.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
+               gnome-settings-daemon-common <!nocheck>,
                gobject-introspection (>= 1.49.1),
                gsettings-desktop-schemas-dev (>= 3.27.90),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
-               libcanberra-dev,
-               libcanberra-gtk3-dev,
                libcroco3-dev (>= 0.6.8),
                libecal1.2-dev (>= 3.7.90),
                libedataserver1.2-dev (>= 3.17.2),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.50.2-3~),
+               libgjs-dev (>= 1.54),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
@@ -37,7 +38,7 @@
                libgstreamer1.0-dev (>= 0.11.92),
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev,
-               libmutter-3-dev (>= 3.30.0),
+               libmutter-4-dev (>= 3.32.0+git20190410),
                libnm-dev (>= 1.10.4) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
                libpulse-dev (>= 2.0),
@@ -54,7 +55,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
@@ -77,7 +78,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-3 (>= 3.30.0),
+         gir1.2-mutter-4 (>= 3.31.4),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -91,7 +92,7 @@
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.27.90),
          libglib2.0-bin (>= 2.53.0),
-         mutter (>= 3.30.0),
+         mutter (>= 3.31.4),
          python3,
          ${gir:Depends},
          ${misc:Depends},
@@ -101,6 +102,7 @@
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
             gnome-user-docs,
+            ibus,
             iio-sensor-proxy,
             switcheroo-control,
             ubuntu-session | gnome-session,
@@ -115,15 +117,16 @@
         gnome-session (<< 3.19),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
-        gnome-shell-extension-dash-to-panel (<< 15-1.1~),
-        gnome-shell-extension-dashtodock (<< 64),
+        gnome-shell-extension-dash-to-panel (<= 18-1),
+        gnome-shell-extension-dashtodock (<= 64-1),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-ubuntu-dock (<< 63ubuntu1),
+        gnome-shell-extension-ubuntu-dock (<= 64ubuntu2),
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
+        nautilus (<< 1:3.30),
         yaru-theme (<< 18.10.1),
 Conflicts: gnome-screensaver (<< 3.6)
 Provides: notification-daemon,
